<?php
/**
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade Magento to newer
 * versions in the future. If you wish to customize Magento for your
 * needs please refer to http://www.magentocommerce.com for more information.
 *
 * @category   Mage
 * @package    Mage_Adminhtml
 * @copyright  Copyright (c) 2008 Irubin Consulting Inc. DBA Varien (http://www.varien.com)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/**
 * Config edit page
 *
 * @category   Mage
 * @package    Mage_Adminhtml
 * @author      Magento Core Team <core@magentocommerce.com>
 */
class Mage_CenterkomPageNews_Block_Edit extends Mage_Adminhtml_Block_Widget
{
    const DEFAULT_SECTION_BLOCK = 'adminhtml/system_config_form';

    protected $_section;
    
    public $deleteId;

    public function __construct()
    {
        $this->setTemplate('centerkompagenews/edit.phtml');
    }
    
	protected function _prepareLayout()
    {
        $this->setChild('add_new_page_news_save_button',
            $this->getLayout()->createBlock('adminhtml/widget_button')
                ->setData(array(
                    'label'     => Mage::helper('adminhtml')->__('Add new page news'),
                    'onclick'   => 'addNewPageNewsForm.submit()',
                    'class' => '',
                ))
        ); 
        $this->setChild('edit_page_news_save_button',
            $this->getLayout()->createBlock('adminhtml/widget_button')
                ->setData(array(
                    'label'     => Mage::helper('adminhtml')->__('Save'),
                    'onclick'   => 'editPageNewsForm.submit()',
                    'class' => '',
                ))
        ); 
        $this->setChild('cancel_page_news_button',
            $this->getLayout()->createBlock('adminhtml/widget_button')
                ->setData(array(
                    'label'     => Mage::helper('adminhtml')->__('Cancel'),
                    'onclick'   => 'javascript:document.location.href=\'?\'',
                    'class' => '',
                ))
        );
        /*$this->setChild('delete_page_news_button',
            $this->getLayout()->createBlock('adminhtml/widget_button')
                ->setData(array(
                    'label'     => Mage::helper('adminhtml')->__('Delete'),
                    'onclick'   => 'javascript: var ele = confirm(\'Are you sure you want to delete this page news!\'); if (ele == true) { javascript:document.location.href=\'?deleteId='.$this->getDeleteId().'\' } else { return false; }',
                    'class' => '',
                ))
        );*/
        return parent::_prepareLayout();
    }
    
	// Add new page news 
    public function getAddNewPageNewsSaveUrl()
    {
        return $this->getUrl('*/*/saveNewPageNews', array('_current'=>true));
    }
    
    public function getAddNewPageNewsSaveButton()
    {
        return $this->getChildHtml('add_new_page_news_save_button');
    }
    
	public function getPageNews()
    {
    	return Mage::getSingleton('CenterkomPageNews/PageNews')->getPageNews();
    }
    
    // Edit page news
    public function getEditPageNewsSaveUrl()
    {
        return $this->getUrl('*/*/saveEditPageNews', array('_current'=>true));
    }
    
    public function getEditPageNewsSaveButton()
    {
        return $this->getChildHtml('edit_page_news_save_button');
    }
    
	public function getCancelEditPageNewsButton()
    {
        return $this->getChildHtml('cancel_page_news_button');
    }
    
	/*public function getDeletePageNewsButton()
    {
        return $this->getChildHtml('delete_page_news_button');
    }
    
    public function setDeleteId($id)
    {
    	$this->deleteId = $this->getRequest()->getPost('hidden_id');
    }
    
    public function getDeleteId()
    {
    	return $this->deleteId;
    }*/
}

