<?php

class Mage_CenterkomPageNews_Adminhtml_PagenewsController extends Mage_Adminhtml_Controller_Action
{
	private $newPageNewsDate;
	private $newPageNewsTitle;
	private $newPageNewsText;
	
	private $editPageNewsTitle;
	private $editPageNewsText;
	private $editPageNewsOn;
	
    public function indexAction()
    {
		$this->loadLayout();
        $this->_setActiveMenu('system/account');
        $this->_addContent($this->getLayout()->createBlock('Mage_CenterkomPageNews_Block_Edit'));
        $this->renderLayout();
        if(isset($_GET['deleteId'])) {
        	$this->deletePageNews($this->getRequest()->getParam('deleteId'));
        }
    }

	public function saveNewPageNewsAction()
    {
    	if($this->getRequest()->getPost('add_new_page_news_title') == "" || $this->getRequest()->getPost('add_new_page_news_text') == "") {
    		$session = Mage::getSingleton('adminhtml/session');
	    	$session->addError(Mage::helper('adminhtml')->__('Field to add new page news! All fields must be filled!'));
			$this->_redirect('*/*/', array('_current' => array('section', 'website', 'store')));
    	}else{
    		$this->setNewPageNewsDate();
    		$this->setNewPageNewsTitle($this->getRequest()->getPost('add_new_page_news_title'));
    		$this->setNewPageNewsText($this->getRequest()->getPost('add_new_page_news_text'));
    		$data = array('date' => $this->getNewPageNewsDate(),
    					  'title' => $this->getNewPageNewsTitle(),
    					  'text' => $this->getNewPageNewsText(),
    					  'on' => '0'
    		);
    		Mage::getSingleton('core/resource')->getConnection('core_read')->insert('centerkom_page_news', $data);
    		$session = Mage::getSingleton('adminhtml/session');
	    	$session->addSuccess(Mage::helper('adminhtml')->__('New page news successfully saved'));
	    	$this->_redirect('*/*/', array('_current' => array('section', 'website', 'store')));
    	}
    }
    
	public function saveEditPageNewsAction()
    {
    	if($this->getRequest()->getPost('edit_page_news_title') == "" || $this->getRequest()->getPost('edit_page_news_text') == "") {
    		$session = Mage::getSingleton('adminhtml/session');
	    	$session->addError(Mage::helper('adminhtml')->__('Field to save page news! All fields must be filled!'));
			$this->_redirect('*/*/', array('_current' => array('section', 'website', 'store')));
    	}else{
    		$saveId = $this->getRequest()->getPost('hidden_id');
    		$this->setEditPageNewsTitle($this->getRequest()->getPost('edit_page_news_title'));
    		$this->setEditPageNewsText($this->getRequest()->getPost('edit_page_news_text'));
    		$this->setEditPageNewsOn($this->getRequest()->getPost('edit_page_news_is_on'));
    		$data = array('title' => $this->getEditPageNewsTitle(),
    					  'text' => $this->getEditPageNewsText(),
    					  'on' => $this->getEditPageNewsOn()
    		);
    		Mage::getSingleton('core/resource')->getConnection('core_read')->update('centerkom_page_news', $data, 'id = '.$saveId);
    		$session = Mage::getSingleton('adminhtml/session');
	    	$session->addSuccess(Mage::helper('adminhtml')->__('Page news successfully saved'));
	    	$this->_redirect('*/*/', array('_current' => array('section', 'website', 'store')));
    	}
    }
    
    public function deletePageNews($arg)
    {
    	Mage::getSingleton('core/resource')->getConnection('core_read')->delete('centerkom_page_news', 'id = '.$arg);
    	$session = Mage::getSingleton('adminhtml/session');
	    $session->addSuccess(Mage::helper('adminhtml')->__('Page news successfully deleted'));
    	$this->_redirect('*/*/', array('_current' => array('section', 'website', 'store')));
    }
    
    public function setNewPageNewsDate()
    {
    	$this->newPageNewsDate = date("Y-m-d");
    }
    
	public function getNewPageNewsDate()
    {
    	return $this->newPageNewsDate;
    }

    public function setNewPageNewsTitle($title)
    {
    	$this->newPageNewsTitle = $title;
    }
    
	public function getNewPageNewsTitle()
    {
    	return $this->newPageNewsTitle;
    }

    public function setNewPageNewsText($text)
    {
    	$this->newPageNewsText = $text;
    }
    
	public function getNewPageNewsText()
    {
    	return $this->newPageNewsText;
    }
	
    public function setEditPageNewsTitle($title)
    {
    	$this->editPageNewsTitle = $title;
    }
    
	public function getEditPageNewsTitle()
    {
    	return $this->editPageNewsTitle;
    }

    public function setEditPageNewsText($text)
    {
    	$this->editPageNewsText = $text;
    }
    
	public function getEditPageNewsText()
    {
    	return $this->editPageNewsText;
    }
    
    public function setEditPageNewsOn($text)
    {
    	$this->editPageNewsOn = $text;
    }
    
	public function getEditPageNewsOn()
    {
    	return $this->editPageNewsOn;
    }
}
